Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000953graphvizDotpublic2005-08-23 12:462011-04-28 04:03
ReporterEmmanuel Pietriga 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOS*-*-OS Version
Summary0000953: New XML well-formedness problem in the SVG output
Description



The SVG output of dot (GraphViz 2.5) might not be well-formed XML,
such as in the case of the provided dot input which contains invisible
edges. this was initially reported as a ZGRViewer bug, and from the
reporter's comments I gather that this seems to happen only when there
are invisible edges, and this is consistent with the error in the
output SVG (see below).



Here is what dot 2.5 outputs:
<CD>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.0//EN"
 "http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd" [^] [
 <!ATTLIST svg xmlns:xlink CDATA #FIXED "http://www.w3.org/1999/xlink"> [^]
]>
<!-- Generated by dot version 2.5.20050823.0430 (Tue Aug 23 04:48:49 UTC 2005)
     For user: Bill Gates -->
<!-- title: testgraph Pages: 1 -->
<svg width="64pt" height="118pt"
 viewBox = "0 0 64 118"
 xmlns="http://www.w3.org/2000/svg" [^] xmlns:xlink="http://www.w3.org/1999/xlink"> [^]
<g id="graph0" class="graph" style="font-family:Times-Roman;font-size:14.00;">
<title>testgraph</title>
<!-- a -->
<g id="node1" class="node"><title>a</title>
<ellipse style="fill:none;stroke:black;" cx="32" cy="23" rx="27" ry="18"/>
<text text-anchor="middle" x="32" y="28">a</text>
</g>
<!-- b -->
<g id="node3" class="node"><title>b</title>
<ellipse style="fill:none;stroke:black;" cx="32" cy="95" rx="27" ry="18"/>
<text text-anchor="middle" x="32" y="100">b</text>
</g>
<!-- a->b -->
<g id="edge2" class="edge"><title>a->b</title>
</g>
</g>
</g>
</svg>
</CD>









Here is what the output should be (there was one closing </g>
tag too many just before the closing </svg> tag):



<CD>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.0//EN"
 "http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd" [^] [
 <!ATTLIST svg xmlns:xlink CDATA #FIXED "http://www.w3.org/1999/xlink"> [^]
]>
<!-- Generated by dot version 2.5.20050823.0430 (Tue Aug 23 04:48:49 UTC 2005)
     For user: Bill Gates -->
<!-- title: testgraph Pages: 1 -->
<svg width="64pt" height="118pt"
 viewBox = "0 0 64 118"
 xmlns="http://www.w3.org/2000/svg" [^] xmlns:xlink="http://www.w3.org/1999/xlink"> [^]
<g id="graph0" class="graph" style="font-family:Times-Roman;font-size:14.00;">
<title>testgraph</title>
<!-- a -->
<g id="node1" class="node"><title>a</title>
<ellipse style="fill:none;stroke:black;" cx="32" cy="23" rx="27" ry="18"/>
<text text-anchor="middle" x="32" y="28">a</text>
</g>
<!-- b -->
<g id="node3" class="node"><title>b</title>
<ellipse style="fill:none;stroke:black;" cx="32" cy="95" rx="27" ry="18"/>
<text text-anchor="middle" x="32" y="100">b</text>
</g>
<!-- a->b -->
<g id="edge2" class="edge"><title>a->b</title>
</g>
</g>
</svg>
</CD>
Steps To Reproduce

digraph "testgraph"
{
a->b [style=invis]
}
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID774
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (23 Aug 2005)
VERSION     2.5
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker